Open CASCADE Technology  7.3.0
Public Member Functions

GCE2d_MakeArcOfCircle Class Reference

Implements construction algorithms for an arc of circle in the plane. The result is a Geom2d_TrimmedCurve curve. A MakeArcOfCircle object provides a framework for: More...

#include <GCE2d_MakeArcOfCircle.hxx>

Inheritance diagram for GCE2d_MakeArcOfCircle:
Inheritance graph
[legend]

Public Member Functions

 GCE2d_MakeArcOfCircle (const gp_Circ2d &Circ, const Standard_Real Alpha1, const Standard_Real Alpha2, const Standard_Boolean Sense=Standard_True)
 Makes an arc of circle (TrimmedCurve from Geom2d) from a circle between two parameters Alpha1 and Alpha2. The two parameters are angles. The parameters are in radians. More...
 
 GCE2d_MakeArcOfCircle (const gp_Circ2d &Circ, const gp_Pnt2d &P, const Standard_Real Alpha, const Standard_Boolean Sense=Standard_True)
 Makes an arc of circle (TrimmedCurve from Geom2d) from a circle between point. More...
 
 GCE2d_MakeArcOfCircle (const gp_Circ2d &Circ, const gp_Pnt2d &P1, const gp_Pnt2d &P2, const Standard_Boolean Sense=Standard_True)
 Makes an arc of circle (TrimmedCurve from Geom2d) from a circle between two points P1 and P2. More...
 
 GCE2d_MakeArcOfCircle (const gp_Pnt2d &P1, const gp_Pnt2d &P2, const gp_Pnt2d &P3)
 Makes an arc of circle (TrimmedCurve from Geom2d) from three points P1,P2,P3 between two points P1 and P3, and passing through the point P2. More...
 
 GCE2d_MakeArcOfCircle (const gp_Pnt2d &P1, const gp_Vec2d &V, const gp_Pnt2d &P2)
 Makes an arc of circle (TrimmedCurve from Geom2d) from two points P1,P2 and the tangente to the solution at the point P1. More...
 
const Handle< Geom2d_TrimmedCurve > & Value () const
 Returns the constructed arc of circle. Exceptions StdFail_NotDone if no arc of circle is constructed. More...
 
 operator const Handle< Geom2d_TrimmedCurve > & () const
 
- Public Member Functions inherited from GCE2d_Root
Standard_Boolean IsDone () const
 Returns true if the construction is successful. More...
 
gce_ErrorType Status () const
 Returns the status of the construction. More...
 

Additional Inherited Members

- Protected Attributes inherited from GCE2d_Root
gce_ErrorType TheError
 

Detailed Description

Implements construction algorithms for an arc of circle in the plane. The result is a Geom2d_TrimmedCurve curve. A MakeArcOfCircle object provides a framework for:

Constructor & Destructor Documentation

◆ GCE2d_MakeArcOfCircle() [1/5]

GCE2d_MakeArcOfCircle::GCE2d_MakeArcOfCircle ( const gp_Circ2d Circ,
const Standard_Real  Alpha1,
const Standard_Real  Alpha2,
const Standard_Boolean  Sense = Standard_True 
)

Makes an arc of circle (TrimmedCurve from Geom2d) from a circle between two parameters Alpha1 and Alpha2. The two parameters are angles. The parameters are in radians.

◆ GCE2d_MakeArcOfCircle() [2/5]

GCE2d_MakeArcOfCircle::GCE2d_MakeArcOfCircle ( const gp_Circ2d Circ,
const gp_Pnt2d P,
const Standard_Real  Alpha,
const Standard_Boolean  Sense = Standard_True 
)

Makes an arc of circle (TrimmedCurve from Geom2d) from a circle between point.

and the parameter Alpha. Alpha is given in radians.

◆ GCE2d_MakeArcOfCircle() [3/5]

GCE2d_MakeArcOfCircle::GCE2d_MakeArcOfCircle ( const gp_Circ2d Circ,
const gp_Pnt2d P1,
const gp_Pnt2d P2,
const Standard_Boolean  Sense = Standard_True 
)

Makes an arc of circle (TrimmedCurve from Geom2d) from a circle between two points P1 and P2.

◆ GCE2d_MakeArcOfCircle() [4/5]

GCE2d_MakeArcOfCircle::GCE2d_MakeArcOfCircle ( const gp_Pnt2d P1,
const gp_Pnt2d P2,
const gp_Pnt2d P3 
)

Makes an arc of circle (TrimmedCurve from Geom2d) from three points P1,P2,P3 between two points P1 and P3, and passing through the point P2.

◆ GCE2d_MakeArcOfCircle() [5/5]

GCE2d_MakeArcOfCircle::GCE2d_MakeArcOfCircle ( const gp_Pnt2d P1,
const gp_Vec2d V,
const gp_Pnt2d P2 
)

Makes an arc of circle (TrimmedCurve from Geom2d) from two points P1,P2 and the tangente to the solution at the point P1.

Member Function Documentation

◆ operator const Handle< Geom2d_TrimmedCurve > &()

GCE2d_MakeArcOfCircle::operator const Handle< Geom2d_TrimmedCurve > & ( ) const
inline

◆ Value()

const Handle< Geom2d_TrimmedCurve >& GCE2d_MakeArcOfCircle::Value ( ) const

Returns the constructed arc of circle. Exceptions StdFail_NotDone if no arc of circle is constructed.


The documentation for this class was generated from the following file: